com.genesyslab.wfm7.API.service.config750

## Class CfgMeeting

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config750.CfgMeeting

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgMeeting
      extends java.lang.Object
      implements java.io.Serializable

  Meeting definition
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `timestamp`
    `private int` | `wmDuration`
    `private double` | `wmEndDate`
    `private double` | `wmEndTime`
    `private int` | `wmExceptionTypeId`
    `private int` | `wmMaxGroup`
    `private double` | `wmMaxShortagePerc`
    `private double` | `wmMaxSurplusPerc`
    `private int[]` | `wmMeetingAgents`
    `private int` | `wmMeetingAgentsNSizeIs`
    `private int` | `wmMeetingId`
    `private double` | `wmMinAttendeesPerc`
    `private int` | `wmMinGroup`
    `private java.lang.String` | `wmName`
    `private int` | `wmOccurences`
    `private int` | `wmRecurrenceMultiplier`
    `private int` | `wmRecurrenceType`
    `private int` | `wmSiteId`
    `private double` | `wmStartDate`
    `private double` | `wmStartTime`
    `private int` | `wmTotalMinutes`
    `private boolean` | `wmUseMinmaxGroup`
    `private boolean` | `wmUseTotalMinutes`
    `private boolean[]` | `wmWeekDays`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgMeeting()`
    `CfgMeeting(int wmMeetingId, int wmSiteId, java.lang.String wmName, int wmExceptionTypeId, double wmStartDate, double wmStartTime, double wmEndDate, double wmEndTime, int wmDuration, double wmMaxShortagePerc, double wmMaxSurplusPerc, boolean wmUseTotalMinutes, int wmTotalMinutes, boolean wmUseMinmaxGroup, int wmMinGroup, int wmMaxGroup, boolean[] wmWeekDays, double wmMinAttendeesPerc, int wmRecurrenceType, int wmOccurences, int wmRecurrenceMultiplier, int wmMeetingAgentsNSizeIs, int[] wmMeetingAgents, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimestamp()` Gets the timestamp value for this CfgMeeting.
    `int` | `getWmDuration()` Gets the wmDuration value for this CfgMeeting.
    `double` | `getWmEndDate()` Gets the wmEndDate value for this CfgMeeting.
    `double` | `getWmEndTime()` Gets the wmEndTime value for this CfgMeeting.
    `int` | `getWmExceptionTypeId()` Gets the wmExceptionTypeId value for this CfgMeeting.
    `int` | `getWmMaxGroup()` Gets the wmMaxGroup value for this CfgMeeting.
    `double` | `getWmMaxShortagePerc()` Gets the wmMaxShortagePerc value for this CfgMeeting.
    `double` | `getWmMaxSurplusPerc()` Gets the wmMaxSurplusPerc value for this CfgMeeting.
    `int[]` | `getWmMeetingAgents()` Gets the wmMeetingAgents value for this CfgMeeting.
    `int` | `getWmMeetingAgentsNSizeIs()` Gets the wmMeetingAgentsNSizeIs value for this CfgMeeting.
    `int` | `getWmMeetingId()` Gets the wmMeetingId value for this CfgMeeting.
    `double` | `getWmMinAttendeesPerc()` Gets the wmMinAttendeesPerc value for this CfgMeeting.
    `int` | `getWmMinGroup()` Gets the wmMinGroup value for this CfgMeeting.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgMeeting.
    `int` | `getWmOccurences()` Gets the wmOccurences value for this CfgMeeting.
    `int` | `getWmRecurrenceMultiplier()` Gets the wmRecurrenceMultiplier value for this CfgMeeting.
    `int` | `getWmRecurrenceType()` Gets the wmRecurrenceType value for this CfgMeeting.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgMeeting.
    `double` | `getWmStartDate()` Gets the wmStartDate value for this CfgMeeting.
    `double` | `getWmStartTime()` Gets the wmStartTime value for this CfgMeeting.
    `int` | `getWmTotalMinutes()` Gets the wmTotalMinutes value for this CfgMeeting.
    `boolean[]` | `getWmWeekDays()` Gets the wmWeekDays value for this CfgMeeting.
    `boolean` | `isWmUseMinmaxGroup()` Gets the wmUseMinmaxGroup value for this CfgMeeting.
    `boolean` | `isWmUseTotalMinutes()` Gets the wmUseTotalMinutes value for this CfgMeeting.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgMeeting.
    `void` | `setWmDuration(int wmDuration)` Sets the wmDuration value for this CfgMeeting.
    `void` | `setWmEndDate(double wmEndDate)` Sets the wmEndDate value for this CfgMeeting.
    `void` | `setWmEndTime(double wmEndTime)` Sets the wmEndTime value for this CfgMeeting.
    `void` | `setWmExceptionTypeId(int wmExceptionTypeId)` Sets the wmExceptionTypeId value for this CfgMeeting.
    `void` | `setWmMaxGroup(int wmMaxGroup)` Sets the wmMaxGroup value for this CfgMeeting.
    `void` | `setWmMaxShortagePerc(double wmMaxShortagePerc)` Sets the wmMaxShortagePerc value for this CfgMeeting.
    `void` | `setWmMaxSurplusPerc(double wmMaxSurplusPerc)` Sets the wmMaxSurplusPerc value for this CfgMeeting.
    `void` | `setWmMeetingAgents(int[] wmMeetingAgents)` Sets the wmMeetingAgents value for this CfgMeeting.
    `void` | `setWmMeetingAgentsNSizeIs(int wmMeetingAgentsNSizeIs)` Sets the wmMeetingAgentsNSizeIs value for this CfgMeeting.
    `void` | `setWmMeetingId(int wmMeetingId)` Sets the wmMeetingId value for this CfgMeeting.
    `void` | `setWmMinAttendeesPerc(double wmMinAttendeesPerc)` Sets the wmMinAttendeesPerc value for this CfgMeeting.
    `void` | `setWmMinGroup(int wmMinGroup)` Sets the wmMinGroup value for this CfgMeeting.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgMeeting.
    `void` | `setWmOccurences(int wmOccurences)` Sets the wmOccurences value for this CfgMeeting.
    `void` | `setWmRecurrenceMultiplier(int wmRecurrenceMultiplier)` Sets the wmRecurrenceMultiplier value for this CfgMeeting.
    `void` | `setWmRecurrenceType(int wmRecurrenceType)` Sets the wmRecurrenceType value for this CfgMeeting.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgMeeting.
    `void` | `setWmStartDate(double wmStartDate)` Sets the wmStartDate value for this CfgMeeting.
    `void` | `setWmStartTime(double wmStartTime)` Sets the wmStartTime value for this CfgMeeting.
    `void` | `setWmTotalMinutes(int wmTotalMinutes)` Sets the wmTotalMinutes value for this CfgMeeting.
    `void` | `setWmUseMinmaxGroup(boolean wmUseMinmaxGroup)` Sets the wmUseMinmaxGroup value for this CfgMeeting.
    `void` | `setWmUseTotalMinutes(boolean wmUseTotalMinutes)` Sets the wmUseTotalMinutes value for this CfgMeeting.
    `void` | `setWmWeekDays(boolean[] wmWeekDays)` Sets the wmWeekDays value for this CfgMeeting.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmMeetingId

          private int wmMeetingId

    - #### wmSiteId

          private int wmSiteId

    - #### wmName

          private java.lang.String wmName

    - #### wmExceptionTypeId

          private int wmExceptionTypeId

    - #### wmStartDate

          private double wmStartDate

    - #### wmStartTime

          private double wmStartTime

    - #### wmEndDate

          private double wmEndDate

    - #### wmEndTime

          private double wmEndTime

    - #### wmDuration

          private int wmDuration

    - #### wmMaxShortagePerc

          private double wmMaxShortagePerc

    - #### wmMaxSurplusPerc

          private double wmMaxSurplusPerc

    - #### wmUseTotalMinutes

          private boolean wmUseTotalMinutes

    - #### wmTotalMinutes

          private int wmTotalMinutes

    - #### wmUseMinmaxGroup

          private boolean wmUseMinmaxGroup

    - #### wmMinGroup

          private int wmMinGroup

    - #### wmMaxGroup

          private int wmMaxGroup

    - #### wmWeekDays

          private boolean[] wmWeekDays

    - #### wmMinAttendeesPerc

          private double wmMinAttendeesPerc

    - #### wmRecurrenceType

          private int wmRecurrenceType

    - #### wmOccurences

          private int wmOccurences

    - #### wmRecurrenceMultiplier

          private int wmRecurrenceMultiplier

    - #### wmMeetingAgentsNSizeIs

          private int wmMeetingAgentsNSizeIs

    - #### wmMeetingAgents

          private int[] wmMeetingAgents

    - #### timestamp

          private long timestamp

  - ### Constructor Detail

    - #### CfgMeeting

          public CfgMeeting()

    - #### CfgMeeting

          public CfgMeeting(int wmMeetingId,
                    int wmSiteId,
                    java.lang.String wmName,
                    int wmExceptionTypeId,
                    double wmStartDate,
                    double wmStartTime,
                    double wmEndDate,
                    double wmEndTime,
                    int wmDuration,
                    double wmMaxShortagePerc,
                    double wmMaxSurplusPerc,
                    boolean wmUseTotalMinutes,
                    int wmTotalMinutes,
                    boolean wmUseMinmaxGroup,
                    int wmMinGroup,
                    int wmMaxGroup,
                    boolean[] wmWeekDays,
                    double wmMinAttendeesPerc,
                    int wmRecurrenceType,
                    int wmOccurences,
                    int wmRecurrenceMultiplier,
                    int wmMeetingAgentsNSizeIs,
                    int[] wmMeetingAgents,
                    long timestamp)

  - ### Method Detail

    - #### getWmMeetingId

          public int getWmMeetingId()

      Gets the wmMeetingId value for this CfgMeeting.
      Returns:
        wmMeetingId

    - #### setWmMeetingId

          public void setWmMeetingId(int wmMeetingId)

      Sets the wmMeetingId value for this CfgMeeting.
      Parameters:
        `wmMeetingId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgMeeting.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgMeeting.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgMeeting.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgMeeting.
      Parameters:
        `wmName` -

    - #### getWmExceptionTypeId

          public int getWmExceptionTypeId()

      Gets the wmExceptionTypeId value for this CfgMeeting.
      Returns:
        wmExceptionTypeId

    - #### setWmExceptionTypeId

          public void setWmExceptionTypeId(int wmExceptionTypeId)

      Sets the wmExceptionTypeId value for this CfgMeeting.
      Parameters:
        `wmExceptionTypeId` -

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the wmStartDate value for this CfgMeeting.
      Returns:
        wmStartDate

    - #### setWmStartDate

          public void setWmStartDate(double wmStartDate)

      Sets the wmStartDate value for this CfgMeeting.
      Parameters:
        `wmStartDate` -

    - #### getWmStartTime

          public double getWmStartTime()

      Gets the wmStartTime value for this CfgMeeting.
      Returns:
        wmStartTime

    - #### setWmStartTime

          public void setWmStartTime(double wmStartTime)

      Sets the wmStartTime value for this CfgMeeting.
      Parameters:
        `wmStartTime` -

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the wmEndDate value for this CfgMeeting.
      Returns:
        wmEndDate

    - #### setWmEndDate

          public void setWmEndDate(double wmEndDate)

      Sets the wmEndDate value for this CfgMeeting.
      Parameters:
        `wmEndDate` -

    - #### getWmEndTime

          public double getWmEndTime()

      Gets the wmEndTime value for this CfgMeeting.
      Returns:
        wmEndTime

    - #### setWmEndTime

          public void setWmEndTime(double wmEndTime)

      Sets the wmEndTime value for this CfgMeeting.
      Parameters:
        `wmEndTime` -

    - #### getWmDuration

          public int getWmDuration()

      Gets the wmDuration value for this CfgMeeting.
      Returns:
        wmDuration

    - #### setWmDuration

          public void setWmDuration(int wmDuration)

      Sets the wmDuration value for this CfgMeeting.
      Parameters:
        `wmDuration` -

    - #### getWmMaxShortagePerc

          public double getWmMaxShortagePerc()

      Gets the wmMaxShortagePerc value for this CfgMeeting.
      Returns:
        wmMaxShortagePerc

    - #### setWmMaxShortagePerc

          public void setWmMaxShortagePerc(double wmMaxShortagePerc)

      Sets the wmMaxShortagePerc value for this CfgMeeting.
      Parameters:
        `wmMaxShortagePerc` -

    - #### getWmMaxSurplusPerc

          public double getWmMaxSurplusPerc()

      Gets the wmMaxSurplusPerc value for this CfgMeeting.
      Returns:
        wmMaxSurplusPerc

    - #### setWmMaxSurplusPerc

          public void setWmMaxSurplusPerc(double wmMaxSurplusPerc)

      Sets the wmMaxSurplusPerc value for this CfgMeeting.
      Parameters:
        `wmMaxSurplusPerc` -

    - #### isWmUseTotalMinutes

          public boolean isWmUseTotalMinutes()

      Gets the wmUseTotalMinutes value for this CfgMeeting.
      Returns:
        wmUseTotalMinutes

    - #### setWmUseTotalMinutes

          public void setWmUseTotalMinutes(boolean wmUseTotalMinutes)

      Sets the wmUseTotalMinutes value for this CfgMeeting.
      Parameters:
        `wmUseTotalMinutes` -

    - #### getWmTotalMinutes

          public int getWmTotalMinutes()

      Gets the wmTotalMinutes value for this CfgMeeting.
      Returns:
        wmTotalMinutes

    - #### setWmTotalMinutes

          public void setWmTotalMinutes(int wmTotalMinutes)

      Sets the wmTotalMinutes value for this CfgMeeting.
      Parameters:
        `wmTotalMinutes` -

    - #### isWmUseMinmaxGroup

          public boolean isWmUseMinmaxGroup()

      Gets the wmUseMinmaxGroup value for this CfgMeeting.
      Returns:
        wmUseMinmaxGroup

    - #### setWmUseMinmaxGroup

          public void setWmUseMinmaxGroup(boolean wmUseMinmaxGroup)

      Sets the wmUseMinmaxGroup value for this CfgMeeting.
      Parameters:
        `wmUseMinmaxGroup` -

    - #### getWmMinGroup

          public int getWmMinGroup()

      Gets the wmMinGroup value for this CfgMeeting.
      Returns:
        wmMinGroup

    - #### setWmMinGroup

          public void setWmMinGroup(int wmMinGroup)

      Sets the wmMinGroup value for this CfgMeeting.
      Parameters:
        `wmMinGroup` -

    - #### getWmMaxGroup

          public int getWmMaxGroup()

      Gets the wmMaxGroup value for this CfgMeeting.
      Returns:
        wmMaxGroup

    - #### setWmMaxGroup

          public void setWmMaxGroup(int wmMaxGroup)

      Sets the wmMaxGroup value for this CfgMeeting.
      Parameters:
        `wmMaxGroup` -

    - #### getWmWeekDays

          public boolean[] getWmWeekDays()

      Gets the wmWeekDays value for this CfgMeeting.
      Returns:
        wmWeekDays

    - #### setWmWeekDays

          public void setWmWeekDays(boolean[] wmWeekDays)

      Sets the wmWeekDays value for this CfgMeeting.
      Parameters:
        `wmWeekDays` -

    - #### getWmMinAttendeesPerc

          public double getWmMinAttendeesPerc()

      Gets the wmMinAttendeesPerc value for this CfgMeeting.
      Returns:
        wmMinAttendeesPerc

    - #### setWmMinAttendeesPerc

          public void setWmMinAttendeesPerc(double wmMinAttendeesPerc)

      Sets the wmMinAttendeesPerc value for this CfgMeeting.
      Parameters:
        `wmMinAttendeesPerc` -

    - #### getWmRecurrenceType

          public int getWmRecurrenceType()

      Gets the wmRecurrenceType value for this CfgMeeting.
      Returns:
        wmRecurrenceType

    - #### setWmRecurrenceType

          public void setWmRecurrenceType(int wmRecurrenceType)

      Sets the wmRecurrenceType value for this CfgMeeting.
      Parameters:
        `wmRecurrenceType` -

    - #### getWmOccurences

          public int getWmOccurences()

      Gets the wmOccurences value for this CfgMeeting.
      Returns:
        wmOccurences

    - #### setWmOccurences

          public void setWmOccurences(int wmOccurences)

      Sets the wmOccurences value for this CfgMeeting.
      Parameters:
        `wmOccurences` -

    - #### getWmRecurrenceMultiplier

          public int getWmRecurrenceMultiplier()

      Gets the wmRecurrenceMultiplier value for this CfgMeeting.
      Returns:
        wmRecurrenceMultiplier

    - #### setWmRecurrenceMultiplier

          public void setWmRecurrenceMultiplier(int wmRecurrenceMultiplier)

      Sets the wmRecurrenceMultiplier value for this CfgMeeting.
      Parameters:
        `wmRecurrenceMultiplier` -

    - #### getWmMeetingAgentsNSizeIs

          public int getWmMeetingAgentsNSizeIs()

      Gets the wmMeetingAgentsNSizeIs value for this CfgMeeting.
      Returns:
        wmMeetingAgentsNSizeIs

    - #### setWmMeetingAgentsNSizeIs

          public void setWmMeetingAgentsNSizeIs(int wmMeetingAgentsNSizeIs)

      Sets the wmMeetingAgentsNSizeIs value for this CfgMeeting.
      Parameters:
        `wmMeetingAgentsNSizeIs` -

    - #### getWmMeetingAgents

          public int[] getWmMeetingAgents()

      Gets the wmMeetingAgents value for this CfgMeeting.
      Returns:
        wmMeetingAgents

    - #### setWmMeetingAgents

          public void setWmMeetingAgents(int[] wmMeetingAgents)

      Sets the wmMeetingAgents value for this CfgMeeting.
      Parameters:
        `wmMeetingAgents` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgMeeting.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgMeeting.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.